%global momorel 1
%global prever 0
%global srcver 4.1.1
%global date 20080831
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global kdegraphicsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Summary: KDE Photo Album 
Name: kphotoalbum
Version: 4.1.0
Release: %{prever}.%{date}.%{momorel}m%{?dist}
License: GPLv2
URL: http://kphotoalbum.org/
Group: Applications/Multimedia
Source0: %{name}-%{srcver}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kdegraphics-libs >= %{kdever}-%{kdegraphicsrel}
Requires: kipi-plugins4
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdegraphics-devel >= %{kdever}-%{kdegraphicsrel}
BuildPreReq: cmake
BuildPreReq: exiv2-devel >= 0.17
BuildPreReq: gettext

%description
A photo almbum tool.  focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.

Can use kipi-plugins

%prep
%setup -q -n %{name}-%{srcver}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DKDCRAW_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkdcraw.so \
	-DKDCRAW_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkdcraw.so.5 \
	-DKEXIV2_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkexiv2.so \
	-DKEXIV2_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkexiv2.so.6 \
	-DKIPI_LOCAL_FOUND=%{_kde4_libdir}/kde4/devel/libkipi.so \
	-DKIPI_LOCAL_FOUND_IN_LIBS=%{_kde4_libdir}/libkipi.so.5 \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kphotoalbum.png %{buildroot}%{_datadir}/pixmaps/kphotoalbum.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING* ChangeLog INSTALL MISSING_FOR_KDE4 README TODO
%{_kde4_bindir}/kphotoalbum
%{_kde4_datadir}/applications/kde4/kphotoalbum-import.desktop
%{_kde4_datadir}/applications/kde4/kphotoalbum.desktop
%{_kde4_appsdir}/kphotoalbum
%{_kde4_configdir}/kphotoalbumrc
%{_kde4_iconsdir}/*/*/*/kphotoalbum.png
%{_kde4_iconsdir}/hicolor/*/actions/*.png
%{_kde4_datadir}/locale/*/LC_MESSAGES/kphotoalbum.mo
%{_datadir}/pixmaps/kphotoalbum.png

%changelog
* Sun Aug 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-0.20080831.1m)
- update to 20080831 svn snapshot
- remove info-rewind.patch

* Fri Jul  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4.20080704.1m)
- update to 20080704 svn snapshot for KDE 4.1 beta 2+
- apply info-rewind.patch to enable build
- Requires: kipi-plugins4

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4.20080627.1m)
- update to 20080627 svn snapshot for KDE 4.1 beta 2
- use kdegraphics-libs

* Mon Jun  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4m)
- rebuild against exiv2-0.17

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-3m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-2m)
- rebuild against gcc43

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-1m)
- version 4.0.0

* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-3m)
- BuildPreReq: libkdcraw-devel >= 0.1.3

* Sun Jan 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-2m)
- rebuild against exiv2-0.16
- License: GPLv2

* Sun Dec  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-1m)
- version 3.1.0

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.2-2m)
- rebuild against exiv2-0.14

* Sat Apr 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.2-1m)
- version 3.0.2

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.1-1m)
- version 3.0.1

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0-1m)
- initial package for Momonga Linux
